DeluxHostAPI Reference
Storage Boxes

Delete a storage snapshot

DELETE
/v1/services/{id}/storage/snapshots/{name}

Frees the space it held. Cannot be undone.

Authorization

apiToken storage:write
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: storage:write

Path Parameters

id*integer

The service id, as returned by GET /v1/services.

name*string

name from GET …/storage/snapshots.

Response Body

Deleted.

application/json
  1. response
ok*boolean
curl -X DELETE 'https://api.deluxhost.net/v1/services/0/storage/snapshots/string' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "ok": true}